CC = gcc
CFLAGS = -ansi \
         -pedantic
EXE = final
OFILES = moyenne.o \
         moyenne_main.o
 
### BUT PAR DEFAUT ###
 
final : ${EXE}
 
### REGLES ESSENTIELLES ###
 
moyenne_main.o : moyenne_main.c
 
moyenne.o : moyenne.h moyenne.c
 
${EXE} : ${OFILES}
	$(CC) $(CFLAGS) -o ${EXE} ${OFILES}

### REGLES OPTIONNELLES ###

clean :
	-rm -f ${OFILES} ${EXE}